Skip to navigation

Update an invoice

View as Markdown
Update an invoice.

Authentication

x-api-keystring

Account API key used to authenticate server-side requests. Use the credentials issued for the same environment as the API base URL.

Path parameters

idstringRequired
Unique identifier of the resource.

Request

This endpoint expects an object.
recipientIdstringOptional
Bill a different saved recipient.
descriptionstringOptional<=2000 characters
lineItemslist of objectsOptional
taxAmountdoubleOptional>=0
discountAmountdoubleOptional>=0
dueAtdatetimeOptional

Response

Invoice updated successfully.
messagestring
dataobject

Response fields are snake_case; request fields are camelCase.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error